quietly set ACTELLIBNAME fusion
quietly set PROJECT_DIR "D:/backup/Projects/Fusion_Projects/Design Example/throughput enhancement/Fusion_ADC_Throughput"

if {[file exists presynth/_info]} {
   puts "INFO: Simulation library presynth already exists"
} else {
   vlib presynth
}
vmap presynth presynth
vmap fusion "D:/Tools/Libero81/Model/Actel/VHDL/fusion"

vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/Analog_proc1/Analog_proc1_assc_ram.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/assc.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/Analog_proc1/Analog_proc1_assc_wrapper.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/Analog_proc1/Analog_proc1.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xa.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xb.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xc.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xd.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xe.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg_xf.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/common/vhdl/initcfg.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/NVM_sysm/NVM_sysm_init_wrapper.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/smartgen/NVM_sysm/NVM_sysm.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/hdl/Top.vhd"
vcom -93 -explicit -work presynth "${PROJECT_DIR}/stimulus/Top_tbench.vhd"

vsim -L fusion -L presynth  -t 1ps presynth.testbench
do "${PROJECT_DIR}/simulation/wave.do"
run 2.5 ms
