onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -format Logic /testbench/sys_clk
add wave -noupdate -format Logic /testbench/sys_reset
add wave -noupdate -format Logic /testbench/init_power_up
add wave -noupdate -format Logic /testbench/varef
add wave -noupdate -format Literal /testbench/result_av5v
add wave -noupdate -format Literal /testbench/result_temp
add wave -noupdate -divider {Stimulus signals}
add wave -noupdate -format Logic /testbench/stimulus_0/volt1
add wave -noupdate -format Literal /testbench/stimulus_0/volt1_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt2
add wave -noupdate -format Literal /testbench/stimulus_0/volt2_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt3
add wave -noupdate -format Literal /testbench/stimulus_0/volt3_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt4
add wave -noupdate -format Literal /testbench/stimulus_0/volt4_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt5
add wave -noupdate -format Literal /testbench/stimulus_0/volt5_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt6
add wave -noupdate -format Literal /testbench/stimulus_0/volt6_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt7
add wave -noupdate -format Literal /testbench/stimulus_0/volt7_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt8
add wave -noupdate -format Literal /testbench/stimulus_0/volt8_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt9
add wave -noupdate -format Literal /testbench/stimulus_0/volt9_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt10
add wave -noupdate -format Literal /testbench/stimulus_0/volt10_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt11
add wave -noupdate -format Literal /testbench/stimulus_0/volt11_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt12
add wave -noupdate -format Literal /testbench/stimulus_0/volt12_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt13
add wave -noupdate -format Literal /testbench/stimulus_0/volt13_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt14
add wave -noupdate -format Literal /testbench/stimulus_0/volt14_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt15
add wave -noupdate -format Literal /testbench/stimulus_0/volt15_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt16
add wave -noupdate -format Literal /testbench/stimulus_0/volt16_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt17
add wave -noupdate -format Literal /testbench/stimulus_0/volt17_driver
add wave -noupdate -format Logic /testbench/stimulus_0/volt18
add wave -noupdate -format Literal /testbench/stimulus_0/volt18_driver
add wave -noupdate -format Logic /testbench/top_0/nvm_inst/init_clk
add wave -noupdate -format Logic /testbench/top_0/nvm_inst/init_done
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/calibrate
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/acmclk
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/adcreset
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/adcstart
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/sample
add wave -noupdate -format Logic /testbench/top_0/analog_inst/ab_inst/busy
add wave -noupdate -format Logic /testbench/top_0/analog_inst/assc_wait
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/analog_inst/ab_inst/chnumber
add wave -noupdate -format Literal -radix hexadecimal /testbench/top_0/analog_inst/ab_inst/result
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/analog_inst/ab_inst/stc
add wave -noupdate -divider {ASSC External Interface}
add wave -noupdate -format Logic /testbench/top_0/analog_inst/assc_seqchange
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/analog_inst/assc_seqout
add wave -noupdate -format Logic /testbench/top_0/analog_inst/assc_seqjump
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/analog_inst/assc_seqin
add wave -noupdate -format Logic /testbench/top_0/analog_inst/assc_xmode
add wave -noupdate -format Logic /testbench/top_0/analog_inst/assc_xtrig
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/assc_seqcntr_net
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/assc_seqinsel_net
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/assc_seqcntr_net
add wave -noupdate -format Literal -radix unsigned /testbench/top_0/jump_count
TreeUpdate [SetDefaultTree]
configure wave -namecolwidth 185
configure wave -valuecolwidth 55
configure wave -justifyvalue left
configure wave -signalnamewidth 2
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
update
WaveRestoreZoom {810751844 ps} {825277209 ps}
