--#####################################################################
-- component NVM_sysm_init_wrapper
-- port ( 
--     CLK:in std_logic;
--     USER_CLK:in std_logic;
--     NRESET:in std_logic;
--     CLIENT_DIN:in std_logic_vector(((9 * 2)- 1) downto 0);
--     CLIENT_AVAIL:in std_logic_vector(2- 1 downto 0);
--     USER_ADD:in std_logic_vector(17 downto 0);
--     USER_AUX_BLOCK:in std_logic;
--     USER_DATA:in std_logic_vector(31 downto 0);
--     USER_DISCARD_PAGE:in std_logic;
--     USER_ERASE_PAGE:in std_logic;
--     USER_OVERWRITE_PAGE:in std_logic;
--     USER_OVERWRITE_PROT:in std_logic;
--     USER_PAGE_STATUS:in std_logic;
--     USER_PAGELOSS_PROT:in std_logic;
--     USER_PROGRAM:in std_logic;
--     USER_READ:in std_logic;
--     USER_READ_NEXT:in std_logic;
--     USER_LOCK:in std_logic;
--     USER_SPARE_PAGE:in std_logic;
--     USER_UNPROT_PAGE:in std_logic;
--     USER_WIDTH:in std_logic_vector(1 downto 0);
--     USER_WRITE:in std_logic;
--     USER_SIX_CYCLE:in std_logic;
--     CLIENT_UPDATE:in std_logic;
--     POWER_UP:in std_logic;
--     NVM_BUSY:in std_logic;
--     NVM_DAT_FROM:in std_logic_vector(31 downto 0);
--     NVM_STATUS:in std_logic_vector(1 downto 0);
--     NVM_ADD:out std_logic_vector(17 downto 0);
--     NVM_AUX_BLOCK:out std_logic;
--     NVM_DAT_TO:out std_logic_vector(31 downto 0);
--     NVM_DISCARD_PAGE:out std_logic;
--     NVM_ERASE_PAGE:out std_logic;
--     NVM_OVERWRITE_PAGE:out std_logic;
--     NVM_OVERWRITE_PROT:out std_logic;
--     NVM_PAGE_STATUS:out std_logic;
--     NVM_PAGELOSS_PROT:out std_logic;
--     NVM_PROGRAM:out std_logic;
--     NVM_READ:out std_logic;
--     NVM_READ_NEXT:out std_logic;
--     NVM_LOCK:out std_logic;
--     NVM_SPARE_PAGE:out std_logic;
--     NVM_UNPROT_PAGE:out std_logic;
--     NVM_WIDTH:out std_logic_vector( 1 downto 0);
--     NVM_WRITE:out std_logic;
--     NVM_SIX_CYCLE:out std_logic;
--     WORD_COUNT:out std_logic_vector(9 -1 downto 0);
--     CLIENT_DOUT:out std_logic_vector(8 downto 0);
--     CLIENT_DAT_VAL:out std_logic_vector(2 -1 downto 0);
--     SAVE_COMPLETE:out std_logic;
--     INIT_DONE:out std_logic;
--     USER_DOUT:out std_logic_vector(31 downto 0);
--     USER_DAT_VAL:out std_logic;
--     USER_NVM_STATUS:out std_logic_vector( 1 downto 0);
--     NVM_CLK:out std_logic
--      );
-- end component;

--U0:NVM_sysm_init_wrapper
--port map(
--         CLK=>  ;
--         USER_CLK=>  ;
--         NRESET=>  ;
--         CLIENT_DIN=>  ;
--         CLIENT_AVAIL=>  ;
--         USER_ADD=>  ;
--         USER_AUX_BLOCK=>  ;
--         USER_DATA=>  ;
--         USER_DISCARD_PAGE=>  ;
--         USER_ERASE_PAGE=>  ;
--         USER_OVERWRITE_PAGE=>  ;
--         USER_OVERWRITE_PROT=>  ;
--         USER_PAGE_STATUS=>  ;
--         USER_PAGELOSS_PROT=>  ;
--         USER_PROGRAM=>  ;
--         USER_READ=>  ;
--         USER_READ_NEXT=>  ;
--         USER_LOCK=>  ;
--         USER_SPARE_PAGE=>  ;
--         USER_UNPROT_PAGE=>  ;
--         USER_WIDTH=>  ;
--         USER_WRITE=>  ;
--         USER_SIX_CYCLE=>  ;
--         CLIENT_UPDATE=>  ;
--         POWER_UP=>  ;
--         NVM_BUSY=>  ;
--         NVM_DAT_FROM=>  ;
--         NVM_STATUS=>  ;
--         NVM_ADD=>  ;
--         NVM_AUX_BLOCK=>  ;
--         NVM_DAT_TO=>  ;
--         NVM_DISCARD_PAGE=>  ;
--         NVM_ERASE_PAGE=>  ;
--         NVM_OVERWRITE_PAGE=>  ;
--         NVM_OVERWRITE_PROT=>  ;
--         NVM_PAGE_STATUS=>  ;
--         NVM_PAGELOSS_PROT=>  ;
--         NVM_PROGRAM=>  ;
--         NVM_READ=>  ;
--         NVM_READ_NEXT=>  ;
--         NVM_LOCK=>  ;
--         NVM_SPARE_PAGE=>  ;
--         NVM_UNPROT_PAGE=>  ;
--         NVM_WIDTH=>  ;
--         NVM_WRITE=>  ;
--         NVM_SIX_CYCLE=>  ;
--         WORD_COUNT=>  ;
--         CLIENT_DOUT=>  ;
--         CLIENT_DAT_VAL=>  ;
--         SAVE_COMPLETE=>  ;
--         INIT_DONE=>  ;
--         USER_DOUT=>  ;
--         USER_DAT_VAL=>  ;
--         USER_NVM_STATUS=>  ;
--         NVM_CLK=>  
--        );
--#####################################################################


library IEEE ;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity NVM_sysm_init_wrapper is  
port ( 
     CLK:in std_logic;
     USER_CLK:in std_logic;
     NRESET:in std_logic;
     CLIENT_DIN:in std_logic_vector(((9 * 2)- 1) downto 0);
     CLIENT_AVAIL:in std_logic_vector(2- 1 downto 0);
     USER_ADD:in std_logic_vector(17 downto 0);
     USER_AUX_BLOCK:in std_logic;
     USER_DATA:in std_logic_vector(31 downto 0);
     USER_DISCARD_PAGE:in std_logic;
     USER_ERASE_PAGE:in std_logic;
     USER_OVERWRITE_PAGE:in std_logic;
     USER_OVERWRITE_PROT:in std_logic;
     USER_PAGE_STATUS:in std_logic;
     USER_PAGELOSS_PROT:in std_logic;
     USER_PROGRAM:in std_logic;
     USER_READ:in std_logic;
     USER_READ_NEXT:in std_logic;
     USER_LOCK:in std_logic;
     USER_SPARE_PAGE:in std_logic;
     USER_UNPROT_PAGE:in std_logic;
     USER_WIDTH:in std_logic_vector(1 downto 0);
     USER_WRITE:in std_logic;
     USER_SIX_CYCLE:in std_logic;
     CLIENT_UPDATE:in std_logic;
     POWER_UP:in std_logic;
     NVM_BUSY:in std_logic;
     NVM_DAT_FROM:in std_logic_vector(31 downto 0);
     NVM_STATUS:in std_logic_vector(1 downto 0);
     NVM_ADD:out std_logic_vector(17 downto 0);
     NVM_AUX_BLOCK:out std_logic;
     NVM_DAT_TO:out std_logic_vector(31 downto 0);
     NVM_DISCARD_PAGE:out std_logic;
     NVM_ERASE_PAGE:out std_logic;
     NVM_OVERWRITE_PAGE:out std_logic;
     NVM_OVERWRITE_PROT:out std_logic;
     NVM_PAGE_STATUS:out std_logic;
     NVM_PAGELOSS_PROT:out std_logic;
     NVM_PROGRAM:out std_logic;
     NVM_READ:out std_logic;
     NVM_READ_NEXT:out std_logic;
     NVM_LOCK:out std_logic;
     NVM_SPARE_PAGE:out std_logic;
     NVM_UNPROT_PAGE:out std_logic;
     NVM_WIDTH:out std_logic_vector( 1 downto 0);
     NVM_WRITE:out std_logic;
     NVM_SIX_CYCLE:out std_logic;
     WORD_COUNT:out std_logic_vector(9 -1 downto 0);
     CLIENT_DOUT:out std_logic_vector(8 downto 0);
     CLIENT_DAT_VAL:out std_logic_vector(2 -1 downto 0);
     SAVE_COMPLETE:out std_logic;
     INIT_DONE:out std_logic;
     USER_DOUT:out std_logic_vector(31 downto 0);
     USER_DAT_VAL:out std_logic;
     USER_NVM_STATUS:out std_logic_vector( 1 downto 0);
     NVM_CLK:out std_logic
     );
end NVM_sysm_init_wrapper;

architecture DEF_ARCH of NVM_sysm_init_wrapper is

component INITCFG

generic(
     MAX_WORD_BIT:integer;
     MAX_CLIENT:integer;
     MAX_CLIENT_BITS:integer;
     BASE_ADD_1:integer;
     WORD_COUNT_1:integer;
     INIT_SAVE_1:integer;
     SPARE_PAGE_1:integer;
     WIDTH_1:integer;
     BASE_ADD_2:integer;
     WORD_COUNT_2:integer;
     INIT_SAVE_2:integer;
     SPARE_PAGE_2:integer;
     WIDTH_2:integer;
     BASE_ADD_3:integer;
     WORD_COUNT_3:integer;
     INIT_SAVE_3:integer;
     SPARE_PAGE_3:integer;
     WIDTH_3:integer;
     BASE_ADD_4:integer;
     WORD_COUNT_4:integer;
     INIT_SAVE_4:integer;
     SPARE_PAGE_4:integer;
     WIDTH_4:integer;
     BASE_ADD_5:integer;
     WORD_COUNT_5:integer;
     INIT_SAVE_5:integer;
     SPARE_PAGE_5:integer;
     WIDTH_5:integer;
     BASE_ADD_6:integer;
     WORD_COUNT_6:integer;
     INIT_SAVE_6:integer;
     SPARE_PAGE_6:integer;
     WIDTH_6:integer;
     BASE_ADD_7:integer;
     WORD_COUNT_7:integer;
     INIT_SAVE_7:integer;
     SPARE_PAGE_7:integer;
     WIDTH_7:integer;
     BASE_ADD_8:integer;
     WORD_COUNT_8:integer;
     INIT_SAVE_8:integer;
     SPARE_PAGE_8:integer;
     WIDTH_8:integer;
     BASE_ADD_9:integer;
     WORD_COUNT_9:integer;
     INIT_SAVE_9:integer;
     SPARE_PAGE_9:integer;
     WIDTH_9:integer;
     BASE_ADD_10:integer;
     WORD_COUNT_10:integer;
     INIT_SAVE_10:integer;
     SPARE_PAGE_10:integer;
     WIDTH_10:integer;
     BASE_ADD_11:integer;
     WORD_COUNT_11:integer;
     INIT_SAVE_11:integer;
     SPARE_PAGE_11:integer;
     WIDTH_11:integer;
     BASE_ADD_12:integer;
     WORD_COUNT_12:integer;
     INIT_SAVE_12:integer;
     SPARE_PAGE_12:integer;
     WIDTH_12:integer;
     BASE_ADD_13:integer;
     WORD_COUNT_13:integer;
     INIT_SAVE_13:integer;
     SPARE_PAGE_13:integer;
     WIDTH_13:integer;
     BASE_ADD_14:integer;
     WORD_COUNT_14:integer;
     INIT_SAVE_14:integer;
     SPARE_PAGE_14:integer;
     WIDTH_14:integer;
     BASE_ADD_15:integer;
     WORD_COUNT_15:integer;
     INIT_SAVE_15:integer;
     SPARE_PAGE_15:integer;
     WIDTH_15:integer;
     BASE_ADD_16:integer;
     WORD_COUNT_16:integer;
     INIT_SAVE_16:integer;
     SPARE_PAGE_16:integer;
     WIDTH_16:integer;
     BASE_ADD_17:integer;
     WORD_COUNT_17:integer;
     INIT_SAVE_17:integer;
     SPARE_PAGE_17:integer;
     WIDTH_17:integer;
     BASE_ADD_18:integer;
     WORD_COUNT_18:integer;
     INIT_SAVE_18:integer;
     SPARE_PAGE_18:integer;
     WIDTH_18:integer;
     BASE_ADD_19:integer;
     WORD_COUNT_19:integer;
     INIT_SAVE_19:integer;
     SPARE_PAGE_19:integer;
     WIDTH_19:integer;
     BASE_ADD_20:integer;
     WORD_COUNT_20:integer;
     INIT_SAVE_20:integer;
     SPARE_PAGE_20:integer;
     WIDTH_20:integer;
     BASE_ADD_21:integer;
     WORD_COUNT_21:integer;
     INIT_SAVE_21:integer;
     SPARE_PAGE_21:integer;
     WIDTH_21:integer;
     BASE_ADD_22:integer;
     WORD_COUNT_22:integer;
     INIT_SAVE_22:integer;
     SPARE_PAGE_22:integer;
     WIDTH_22:integer;
     BASE_ADD_23:integer;
     WORD_COUNT_23:integer;
     INIT_SAVE_23:integer;
     SPARE_PAGE_23:integer;
     WIDTH_23:integer;
     BASE_ADD_24:integer;
     WORD_COUNT_24:integer;
     INIT_SAVE_24:integer;
     SPARE_PAGE_24:integer;
     WIDTH_24:integer;
     BASE_ADD_25:integer;
     WORD_COUNT_25:integer;
     INIT_SAVE_25:integer;
     SPARE_PAGE_25:integer;
     WIDTH_25:integer;
     BASE_ADD_26:integer;
     WORD_COUNT_26:integer;
     INIT_SAVE_26:integer;
     SPARE_PAGE_26:integer;
     WIDTH_26:integer;
     BASE_ADD_27:integer;
     WORD_COUNT_27:integer;
     INIT_SAVE_27:integer;
     SPARE_PAGE_27:integer;
     WIDTH_27:integer;
     BASE_ADD_28:integer;
     WORD_COUNT_28:integer;
     INIT_SAVE_28:integer;
     SPARE_PAGE_28:integer;
     WIDTH_28:integer;
     BASE_ADD_29:integer;
     WORD_COUNT_29:integer;
     INIT_SAVE_29:integer;
     SPARE_PAGE_29:integer;
     WIDTH_29:integer;
     BASE_ADD_30:integer;
     WORD_COUNT_30:integer;
     INIT_SAVE_30:integer;
     SPARE_PAGE_30:integer;
     WIDTH_30:integer;
     BASE_ADD_31:integer;
     WORD_COUNT_31:integer;
     INIT_SAVE_31:integer;
     SPARE_PAGE_31:integer;
     WIDTH_31:integer;
     BASE_ADD_32:integer;
     WORD_COUNT_32:integer;
     INIT_SAVE_32:integer;
     SPARE_PAGE_32:integer;
     WIDTH_32:integer;
     BASE_ADD_33:integer;
     WORD_COUNT_33:integer;
     INIT_SAVE_33:integer;
     SPARE_PAGE_33:integer;
     WIDTH_33:integer;
     BASE_ADD_34:integer;
     WORD_COUNT_34:integer;
     INIT_SAVE_34:integer;
     SPARE_PAGE_34:integer;
     WIDTH_34:integer;
     BASE_ADD_35:integer;
     WORD_COUNT_35:integer;
     INIT_SAVE_35:integer;
     SPARE_PAGE_35:integer;
     WIDTH_35:integer;
     BASE_ADD_36:integer;
     WORD_COUNT_36:integer;
     INIT_SAVE_36:integer;
     SPARE_PAGE_36:integer;
     WIDTH_36:integer;
     BASE_ADD_37:integer;
     WORD_COUNT_37:integer;
     INIT_SAVE_37:integer;
     SPARE_PAGE_37:integer;
     WIDTH_37:integer;
     BASE_ADD_38:integer;
     WORD_COUNT_38:integer;
     INIT_SAVE_38:integer;
     SPARE_PAGE_38:integer;
     WIDTH_38:integer;
     BASE_ADD_39:integer;
     WORD_COUNT_39:integer;
     INIT_SAVE_39:integer;
     SPARE_PAGE_39:integer;
     WIDTH_39:integer;
     BASE_ADD_40:integer;
     WORD_COUNT_40:integer;
     INIT_SAVE_40:integer;
     SPARE_PAGE_40:integer;
     WIDTH_40:integer;
     BASE_ADD_41:integer;
     WORD_COUNT_41:integer;
     INIT_SAVE_41:integer;
     SPARE_PAGE_41:integer;
     WIDTH_41:integer;
     BASE_ADD_42:integer;
     WORD_COUNT_42:integer;
     INIT_SAVE_42:integer;
     SPARE_PAGE_42:integer;
     WIDTH_42:integer;
     BASE_ADD_43:integer;
     WORD_COUNT_43:integer;
     INIT_SAVE_43:integer;
     SPARE_PAGE_43:integer;
     WIDTH_43:integer;
     BASE_ADD_44:integer;
     WORD_COUNT_44:integer;
     INIT_SAVE_44:integer;
     SPARE_PAGE_44:integer;
     WIDTH_44:integer;
     BASE_ADD_45:integer;
     WORD_COUNT_45:integer;
     INIT_SAVE_45:integer;
     SPARE_PAGE_45:integer;
     WIDTH_45:integer;
     BASE_ADD_46:integer;
     WORD_COUNT_46:integer;
     INIT_SAVE_46:integer;
     SPARE_PAGE_46:integer;
     WIDTH_46:integer;
     BASE_ADD_47:integer;
     WORD_COUNT_47:integer;
     INIT_SAVE_47:integer;
     SPARE_PAGE_47:integer;
     WIDTH_47:integer;
     BASE_ADD_48:integer;
     WORD_COUNT_48:integer;
     INIT_SAVE_48:integer;
     SPARE_PAGE_48:integer;
     WIDTH_48:integer;
     BASE_ADD_49:integer;
     WORD_COUNT_49:integer;
     INIT_SAVE_49:integer;
     SPARE_PAGE_49:integer;
     WIDTH_49:integer;
     BASE_ADD_50:integer;
     WORD_COUNT_50:integer;
     INIT_SAVE_50:integer;
     SPARE_PAGE_50:integer;
     WIDTH_50:integer;
     BASE_ADD_51:integer;
     WORD_COUNT_51:integer;
     INIT_SAVE_51:integer;
     SPARE_PAGE_51:integer;
     WIDTH_51:integer;
     BASE_ADD_52:integer;
     WORD_COUNT_52:integer;
     INIT_SAVE_52:integer;
     SPARE_PAGE_52:integer;
     WIDTH_52:integer;
     BASE_ADD_53:integer;
     WORD_COUNT_53:integer;
     INIT_SAVE_53:integer;
     SPARE_PAGE_53:integer;
     WIDTH_53:integer;
     BASE_ADD_54:integer;
     WORD_COUNT_54:integer;
     INIT_SAVE_54:integer;
     SPARE_PAGE_54:integer;
     WIDTH_54:integer;
     BASE_ADD_55:integer;
     WORD_COUNT_55:integer;
     INIT_SAVE_55:integer;
     SPARE_PAGE_55:integer;
     WIDTH_55:integer;
     BASE_ADD_56:integer;
     WORD_COUNT_56:integer;
     INIT_SAVE_56:integer;
     SPARE_PAGE_56:integer;
     WIDTH_56:integer;
     BASE_ADD_57:integer;
     WORD_COUNT_57:integer;
     INIT_SAVE_57:integer;
     SPARE_PAGE_57:integer;
     WIDTH_57:integer;
     BASE_ADD_58:integer;
     WORD_COUNT_58:integer;
     INIT_SAVE_58:integer;
     SPARE_PAGE_58:integer;
     WIDTH_58:integer;
     BASE_ADD_59:integer;
     WORD_COUNT_59:integer;
     INIT_SAVE_59:integer;
     SPARE_PAGE_59:integer;
     WIDTH_59:integer;
     BASE_ADD_60:integer;
     WORD_COUNT_60:integer;
     INIT_SAVE_60:integer;
     SPARE_PAGE_60:integer;
     WIDTH_60:integer;
     BASE_ADD_61:integer;
     WORD_COUNT_61:integer;
     INIT_SAVE_61:integer;
     SPARE_PAGE_61:integer;
     WIDTH_61:integer;
     BASE_ADD_62:integer;
     WORD_COUNT_62:integer;
     INIT_SAVE_62:integer;
     SPARE_PAGE_62:integer;
     WIDTH_62:integer;
     BASE_ADD_63:integer;
     WORD_COUNT_63:integer;
     INIT_SAVE_63:integer;
     SPARE_PAGE_63:integer;
     WIDTH_63:integer;
     BASE_ADD_64:integer;
     WORD_COUNT_64:integer;
     INIT_SAVE_64:integer;
     SPARE_PAGE_64:integer;
     WIDTH_64:integer
        );
port(
     CLK:in std_logic;
     USER_CLK:in std_logic;
     NRESET:in std_logic;
     CLIENT_DIN:in std_logic_vector(((9 * MAX_CLIENT)- 1) downto 0);
     CLIENT_AVAIL:in std_logic_vector(MAX_CLIENT- 1 downto 0);
     USER_ADD:in std_logic_vector(17 downto 0);
     USER_AUX_BLOCK:in std_logic;
     USER_DATA:in std_logic_vector(31 downto 0);
     USER_DISCARD_PAGE:in std_logic;
     USER_ERASE_PAGE:in std_logic;
     USER_OVERWRITE_PAGE:in std_logic;
     USER_OVERWRITE_PROT:in std_logic;
     USER_PAGE_STATUS:in std_logic;
     USER_PAGELOSS_PROT:in std_logic;
     USER_PROGRAM:in std_logic;
     USER_READ:in std_logic;
     USER_READ_NEXT:in std_logic;
     USER_LOCK:in std_logic;
     USER_SPARE_PAGE:in std_logic;
     USER_UNPROT_PAGE:in std_logic;
     USER_WIDTH:in std_logic_vector(1 downto 0);
     USER_WRITE:in std_logic;
     USER_SIX_CYCLE:in std_logic;
     CLIENT_UPDATE:in std_logic;
     POWER_UP:in std_logic;
     NVM_BUSY:in std_logic;
     NVM_DAT_FROM:in std_logic_vector(31 downto 0);
     NVM_STATUS:in std_logic_vector(1 downto 0);
     NVM_ADD:out std_logic_vector(17 downto 0);
     NVM_AUX_BLOCK:out std_logic;
     NVM_DAT_TO:out std_logic_vector(31 downto 0);
     NVM_DISCARD_PAGE:out std_logic;
     NVM_ERASE_PAGE:out std_logic;
     NVM_OVERWRITE_PAGE:out std_logic;
     NVM_OVERWRITE_PROT:out std_logic;
     NVM_PAGE_STATUS:out std_logic;
     NVM_PAGELOSS_PROT:out std_logic;
     NVM_PROGRAM:out std_logic;
     NVM_READ:out std_logic;
     NVM_READ_NEXT:out std_logic;
     NVM_LOCK:out std_logic;
     NVM_SPARE_PAGE:out std_logic;
     NVM_UNPROT_PAGE:out std_logic;
     NVM_WIDTH:out std_logic_vector( 1 downto 0);
     NVM_WRITE:out std_logic;
     NVM_SIX_CYCLE:out std_logic;
     WORD_COUNT:out std_logic_vector(MAX_WORD_BIT -1 downto 0);
     CLIENT_DOUT:out std_logic_vector(8 downto 0);
     CLIENT_DAT_VAL:out std_logic_vector(MAX_CLIENT -1 downto 0);
     SAVE_COMPLETE:out std_logic;
     INIT_DONE:out std_logic;
     USER_DOUT:out std_logic_vector(31 downto 0);
     USER_DAT_VAL:out std_logic;
     USER_NVM_STATUS:out std_logic_vector( 1 downto 0);
     NVM_CLK:out std_logic
     );
end component;

begin

U0:INITCFG
generic map(
             MAX_WORD_BIT=>9,
             MAX_CLIENT=>2,
             MAX_CLIENT_BITS=>1,
             BASE_ADD_1=>4096,
             WORD_COUNT_1=>41,
             INIT_SAVE_1=>0,
             SPARE_PAGE_1=>1,
             WIDTH_1=>0,
             BASE_ADD_2=>8192,
             WORD_COUNT_2=>512,
             INIT_SAVE_2=>0,
             SPARE_PAGE_2=>1,
             WIDTH_2=>1,
             BASE_ADD_3=>0,
             WORD_COUNT_3=>0,
             INIT_SAVE_3=>0,
             SPARE_PAGE_3=>0,
             WIDTH_3=>0,
             BASE_ADD_4=>0,
             WORD_COUNT_4=>0,
             INIT_SAVE_4=>0,
             SPARE_PAGE_4=>0,
             WIDTH_4=>0,
             BASE_ADD_5=>0,
             WORD_COUNT_5=>0,
             INIT_SAVE_5=>0,
             SPARE_PAGE_5=>0,
             WIDTH_5=>0,
             BASE_ADD_6=>0,
             WORD_COUNT_6=>0,
             INIT_SAVE_6=>0,
             SPARE_PAGE_6=>0,
             WIDTH_6=>0,
             BASE_ADD_7=>0,
             WORD_COUNT_7=>0,
             INIT_SAVE_7=>0,
             SPARE_PAGE_7=>0,
             WIDTH_7=>0,
             BASE_ADD_8=>0,
             WORD_COUNT_8=>0,
             INIT_SAVE_8=>0,
             SPARE_PAGE_8=>0,
             WIDTH_8=>0,
             BASE_ADD_9=>0,
             WORD_COUNT_9=>0,
             INIT_SAVE_9=>0,
             SPARE_PAGE_9=>0,
             WIDTH_9=>0,
             BASE_ADD_10=>0,
             WORD_COUNT_10=>0,
             INIT_SAVE_10=>0,
             SPARE_PAGE_10=>0,
             WIDTH_10=>0,
             BASE_ADD_11=>0,
             WORD_COUNT_11=>0,
             INIT_SAVE_11=>0,
             SPARE_PAGE_11=>0,
             WIDTH_11=>0,
             BASE_ADD_12=>0,
             WORD_COUNT_12=>0,
             INIT_SAVE_12=>0,
             SPARE_PAGE_12=>0,
             WIDTH_12=>0,
             BASE_ADD_13=>0,
             WORD_COUNT_13=>0,
             INIT_SAVE_13=>0,
             SPARE_PAGE_13=>0,
             WIDTH_13=>0,
             BASE_ADD_14=>0,
             WORD_COUNT_14=>0,
             INIT_SAVE_14=>0,
             SPARE_PAGE_14=>0,
             WIDTH_14=>0,
             BASE_ADD_15=>0,
             WORD_COUNT_15=>0,
             INIT_SAVE_15=>0,
             SPARE_PAGE_15=>0,
             WIDTH_15=>0,
             BASE_ADD_16=>0,
             WORD_COUNT_16=>0,
             INIT_SAVE_16=>0,
             SPARE_PAGE_16=>0,
             WIDTH_16=>0,
             BASE_ADD_17=>0,
             WORD_COUNT_17=>0,
             INIT_SAVE_17=>0,
             SPARE_PAGE_17=>0,
             WIDTH_17=>0,
             BASE_ADD_18=>0,
             WORD_COUNT_18=>0,
             INIT_SAVE_18=>0,
             SPARE_PAGE_18=>0,
             WIDTH_18=>0,
             BASE_ADD_19=>0,
             WORD_COUNT_19=>0,
             INIT_SAVE_19=>0,
             SPARE_PAGE_19=>0,
             WIDTH_19=>0,
             BASE_ADD_20=>0,
             WORD_COUNT_20=>0,
             INIT_SAVE_20=>0,
             SPARE_PAGE_20=>0,
             WIDTH_20=>0,
             BASE_ADD_21=>0,
             WORD_COUNT_21=>0,
             INIT_SAVE_21=>0,
             SPARE_PAGE_21=>0,
             WIDTH_21=>0,
             BASE_ADD_22=>0,
             WORD_COUNT_22=>0,
             INIT_SAVE_22=>0,
             SPARE_PAGE_22=>0,
             WIDTH_22=>0,
             BASE_ADD_23=>0,
             WORD_COUNT_23=>0,
             INIT_SAVE_23=>0,
             SPARE_PAGE_23=>0,
             WIDTH_23=>0,
             BASE_ADD_24=>0,
             WORD_COUNT_24=>0,
             INIT_SAVE_24=>0,
             SPARE_PAGE_24=>0,
             WIDTH_24=>0,
             BASE_ADD_25=>0,
             WORD_COUNT_25=>0,
             INIT_SAVE_25=>0,
             SPARE_PAGE_25=>0,
             WIDTH_25=>0,
             BASE_ADD_26=>0,
             WORD_COUNT_26=>0,
             INIT_SAVE_26=>0,
             SPARE_PAGE_26=>0,
             WIDTH_26=>0,
             BASE_ADD_27=>0,
             WORD_COUNT_27=>0,
             INIT_SAVE_27=>0,
             SPARE_PAGE_27=>0,
             WIDTH_27=>0,
             BASE_ADD_28=>0,
             WORD_COUNT_28=>0,
             INIT_SAVE_28=>0,
             SPARE_PAGE_28=>0,
             WIDTH_28=>0,
             BASE_ADD_29=>0,
             WORD_COUNT_29=>0,
             INIT_SAVE_29=>0,
             SPARE_PAGE_29=>0,
             WIDTH_29=>0,
             BASE_ADD_30=>0,
             WORD_COUNT_30=>0,
             INIT_SAVE_30=>0,
             SPARE_PAGE_30=>0,
             WIDTH_30=>0,
             BASE_ADD_31=>0,
             WORD_COUNT_31=>0,
             INIT_SAVE_31=>0,
             SPARE_PAGE_31=>0,
             WIDTH_31=>0,
             BASE_ADD_32=>0,
             WORD_COUNT_32=>0,
             INIT_SAVE_32=>0,
             SPARE_PAGE_32=>0,
             WIDTH_32=>0,
             BASE_ADD_33=>0,
             WORD_COUNT_33=>0,
             INIT_SAVE_33=>0,
             SPARE_PAGE_33=>0,
             WIDTH_33=>0,
             BASE_ADD_34=>0,
             WORD_COUNT_34=>0,
             INIT_SAVE_34=>0,
             SPARE_PAGE_34=>0,
             WIDTH_34=>0,
             BASE_ADD_35=>0,
             WORD_COUNT_35=>0,
             INIT_SAVE_35=>0,
             SPARE_PAGE_35=>0,
             WIDTH_35=>0,
             BASE_ADD_36=>0,
             WORD_COUNT_36=>0,
             INIT_SAVE_36=>0,
             SPARE_PAGE_36=>0,
             WIDTH_36=>0,
             BASE_ADD_37=>0,
             WORD_COUNT_37=>0,
             INIT_SAVE_37=>0,
             SPARE_PAGE_37=>0,
             WIDTH_37=>0,
             BASE_ADD_38=>0,
             WORD_COUNT_38=>0,
             INIT_SAVE_38=>0,
             SPARE_PAGE_38=>0,
             WIDTH_38=>0,
             BASE_ADD_39=>0,
             WORD_COUNT_39=>0,
             INIT_SAVE_39=>0,
             SPARE_PAGE_39=>0,
             WIDTH_39=>0,
             BASE_ADD_40=>0,
             WORD_COUNT_40=>0,
             INIT_SAVE_40=>0,
             SPARE_PAGE_40=>0,
             WIDTH_40=>0,
             BASE_ADD_41=>0,
             WORD_COUNT_41=>0,
             INIT_SAVE_41=>0,
             SPARE_PAGE_41=>0,
             WIDTH_41=>0,
             BASE_ADD_42=>0,
             WORD_COUNT_42=>0,
             INIT_SAVE_42=>0,
             SPARE_PAGE_42=>0,
             WIDTH_42=>0,
             BASE_ADD_43=>0,
             WORD_COUNT_43=>0,
             INIT_SAVE_43=>0,
             SPARE_PAGE_43=>0,
             WIDTH_43=>0,
             BASE_ADD_44=>0,
             WORD_COUNT_44=>0,
             INIT_SAVE_44=>0,
             SPARE_PAGE_44=>0,
             WIDTH_44=>0,
             BASE_ADD_45=>0,
             WORD_COUNT_45=>0,
             INIT_SAVE_45=>0,
             SPARE_PAGE_45=>0,
             WIDTH_45=>0,
             BASE_ADD_46=>0,
             WORD_COUNT_46=>0,
             INIT_SAVE_46=>0,
             SPARE_PAGE_46=>0,
             WIDTH_46=>0,
             BASE_ADD_47=>0,
             WORD_COUNT_47=>0,
             INIT_SAVE_47=>0,
             SPARE_PAGE_47=>0,
             WIDTH_47=>0,
             BASE_ADD_48=>0,
             WORD_COUNT_48=>0,
             INIT_SAVE_48=>0,
             SPARE_PAGE_48=>0,
             WIDTH_48=>0,
             BASE_ADD_49=>0,
             WORD_COUNT_49=>0,
             INIT_SAVE_49=>0,
             SPARE_PAGE_49=>0,
             WIDTH_49=>0,
             BASE_ADD_50=>0,
             WORD_COUNT_50=>0,
             INIT_SAVE_50=>0,
             SPARE_PAGE_50=>0,
             WIDTH_50=>0,
             BASE_ADD_51=>0,
             WORD_COUNT_51=>0,
             INIT_SAVE_51=>0,
             SPARE_PAGE_51=>0,
             WIDTH_51=>0,
             BASE_ADD_52=>0,
             WORD_COUNT_52=>0,
             INIT_SAVE_52=>0,
             SPARE_PAGE_52=>0,
             WIDTH_52=>0,
             BASE_ADD_53=>0,
             WORD_COUNT_53=>0,
             INIT_SAVE_53=>0,
             SPARE_PAGE_53=>0,
             WIDTH_53=>0,
             BASE_ADD_54=>0,
             WORD_COUNT_54=>0,
             INIT_SAVE_54=>0,
             SPARE_PAGE_54=>0,
             WIDTH_54=>0,
             BASE_ADD_55=>0,
             WORD_COUNT_55=>0,
             INIT_SAVE_55=>0,
             SPARE_PAGE_55=>0,
             WIDTH_55=>0,
             BASE_ADD_56=>0,
             WORD_COUNT_56=>0,
             INIT_SAVE_56=>0,
             SPARE_PAGE_56=>0,
             WIDTH_56=>0,
             BASE_ADD_57=>0,
             WORD_COUNT_57=>0,
             INIT_SAVE_57=>0,
             SPARE_PAGE_57=>0,
             WIDTH_57=>0,
             BASE_ADD_58=>0,
             WORD_COUNT_58=>0,
             INIT_SAVE_58=>0,
             SPARE_PAGE_58=>0,
             WIDTH_58=>0,
             BASE_ADD_59=>0,
             WORD_COUNT_59=>0,
             INIT_SAVE_59=>0,
             SPARE_PAGE_59=>0,
             WIDTH_59=>0,
             BASE_ADD_60=>0,
             WORD_COUNT_60=>0,
             INIT_SAVE_60=>0,
             SPARE_PAGE_60=>0,
             WIDTH_60=>0,
             BASE_ADD_61=>0,
             WORD_COUNT_61=>0,
             INIT_SAVE_61=>0,
             SPARE_PAGE_61=>0,
             WIDTH_61=>0,
             BASE_ADD_62=>0,
             WORD_COUNT_62=>0,
             INIT_SAVE_62=>0,
             SPARE_PAGE_62=>0,
             WIDTH_62=>0,
             BASE_ADD_63=>0,
             WORD_COUNT_63=>0,
             INIT_SAVE_63=>0,
             SPARE_PAGE_63=>0,
             WIDTH_63=>0,
             BASE_ADD_64=>0,
             WORD_COUNT_64=>0,
             INIT_SAVE_64=>0,
             SPARE_PAGE_64=>0,
             WIDTH_64=>0
           )

port map(
         CLK=>CLK,
         USER_CLK=>USER_CLK,
         NRESET=>NRESET,
         CLIENT_DIN=>CLIENT_DIN,
         CLIENT_AVAIL=>CLIENT_AVAIL,
         USER_ADD=>USER_ADD,
         USER_AUX_BLOCK=>USER_AUX_BLOCK,
         USER_DATA=>USER_DATA,
         USER_DISCARD_PAGE=>USER_DISCARD_PAGE,
         USER_ERASE_PAGE=>USER_ERASE_PAGE,
         USER_OVERWRITE_PAGE=>USER_OVERWRITE_PAGE,
         USER_OVERWRITE_PROT=>USER_OVERWRITE_PROT,
         USER_PAGE_STATUS=>USER_PAGE_STATUS,
         USER_PAGELOSS_PROT=>USER_PAGELOSS_PROT,
         USER_PROGRAM=>USER_PROGRAM,
         USER_READ=>USER_READ,
         USER_READ_NEXT=>USER_READ_NEXT,
         USER_LOCK=>USER_LOCK,
         USER_SPARE_PAGE=>USER_SPARE_PAGE,
         USER_UNPROT_PAGE=>USER_UNPROT_PAGE,
         USER_WIDTH=>USER_WIDTH,
         USER_WRITE=>USER_WRITE,
         USER_SIX_CYCLE=>USER_SIX_CYCLE,
         CLIENT_UPDATE=>CLIENT_UPDATE,
         POWER_UP=>POWER_UP,
         NVM_BUSY=>NVM_BUSY,
         NVM_DAT_FROM=>NVM_DAT_FROM,
         NVM_STATUS=>NVM_STATUS,
         NVM_ADD=>NVM_ADD,
         NVM_AUX_BLOCK=>NVM_AUX_BLOCK,
         NVM_DAT_TO=>NVM_DAT_TO,
         NVM_DISCARD_PAGE=>NVM_DISCARD_PAGE,
         NVM_ERASE_PAGE=>NVM_ERASE_PAGE,
         NVM_OVERWRITE_PAGE=>NVM_OVERWRITE_PAGE,
         NVM_OVERWRITE_PROT=>NVM_OVERWRITE_PROT,
         NVM_PAGE_STATUS=>NVM_PAGE_STATUS,
         NVM_PAGELOSS_PROT=>NVM_PAGELOSS_PROT,
         NVM_PROGRAM=>NVM_PROGRAM,
         NVM_READ=>NVM_READ,
         NVM_READ_NEXT=>NVM_READ_NEXT,
         NVM_LOCK=>NVM_LOCK,
         NVM_SPARE_PAGE=>NVM_SPARE_PAGE,
         NVM_UNPROT_PAGE=>NVM_UNPROT_PAGE,
         NVM_WIDTH=>NVM_WIDTH,
         NVM_WRITE=>NVM_WRITE,
         NVM_SIX_CYCLE=>NVM_SIX_CYCLE,
         WORD_COUNT=>WORD_COUNT,
         CLIENT_DOUT=>CLIENT_DOUT,
         CLIENT_DAT_VAL=>CLIENT_DAT_VAL,
         SAVE_COMPLETE=>SAVE_COMPLETE,
         INIT_DONE=>INIT_DONE,
         USER_DOUT=>USER_DOUT,
         USER_DAT_VAL=>USER_DAT_VAL,
         USER_NVM_STATUS=>USER_NVM_STATUS,
         NVM_CLK=>NVM_CLK
        );
end DEF_ARCH;
